# hey Emacs, its -*- rpm-spec -*-
# $Id: php,v 1.21 2002/03/27 16:58:50 ab Exp $
#%%%set_verify_elf_method skip
%define apache_version %(rpm -q --queryformat '%{VERSION}' apache-devel)
%define apache_release %(rpm -q --queryformat '%{RELEASE}' apache-devel)

%define php_version 4.3.0
%define php_release dev
%define php_name php-%php_version-%php_release

Summary: The PHP4 scripting language
Summary(fr):	Le langage de script PHP4
Summary(ru_RU.CP1251):	  PHP4
Name: php
Version: 4.3.0
Release: alt1.cvs20030207
Group: Development/Other
Serial: 1

Source0: %php_name.tar.bz2
Source1: php.conf
Source2: rpm.macros.php
Patch1: php-version.patch
Patch2: php-cli.patch
Patch3: php-shared.patch
Patch4: php-remove-sendmail.patch
Patch5: php-4.0.0-init.patch
Patch6: php-mod_php4.patch
Patch7: php-test-pcntl.patch
Patch8: php.ini-dist.patch

# Security patches
Patch10: php-4.3.0-dev-security-patch-20040714.patch

License: PHP
Requires: php-common = %version-%release
Obsoletes: php3
BuildPreReq: apache-devel
BuildPreReq: zlib-devel libmm-devel libexpat-devel gdbm-devel libpam-devel
BuildPreReq: bison byacc libtool flex

%define sysconfdir /etc
%define apachebase %sysconfdir/httpd
%define apacheroot /var/www
%define oldapacheroot /home/httpd
%define phpdir %_libdir/php

%description
PHP4 is an HTML-embeddable scripting language.  PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple.  The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the base PHP files, and a standalone (CGI) version of
php. If you need apache support, you need to install mod_php

%description -l ru_RU.CP1251
PHP4 --   ,   HTML. PHP  
     , 
  ,   .   
 PHP    CGI-.

     PHP   (CGI)  
PHP,         CGI.   
 PHP   - Apache,   
  mod_php.

%package -n mod_php
Summary: The PHP4 HTML-embedded scripting language for use with Apache
Summary(ru_RU.CP1251):	  HTML   PHP4     Apache.
Group: System/Servers
Url: http://www.php.net/
Requires: gdbm, zlib, mm, pam, php-common = %version-%release
PreReq: apache >= %apache_version-%apache_release
Obsoletes: mod_php3, php3, phpfi

%description -n mod_php
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

This package contains PHP version 4. You'll also need to install the
Apache web server.

%description -l ru_RU.CP1251 -n mod_php
PHP4 --   ,   HTML. PHP  
     , 
  ,   .   
 PHP    CGI-.  mod_php 
- Apache     PHP  -.

%package devel
Group: Development/C
Summary: Development package for PHP4
Summary(ru_RU.CP1251):	    PHP4
Requires: php = %version-%release, php-common = %version-%release
Requires: libtool, autoconf, automake, tar, gzip, fileutils, zlib-devel
AutoReqProv: no

%description devel
The php-devel package lets you compile dynamic extensions to PHP4. Included
here is the source for the php extensions. Instead of recompiling the whole
php binary to add support for, say, oracle, install this package and use the
new self-contained extensions support. For more information, read the file
SELF-CONTAINED-EXTENSIONS.

%package common
Group: Development/C
Summary: Package with common data for various PHP4 packages
Summary(ru_RU.CP1251):	,       PHP4
Obsoletes: php-iconv
Provides: php-iconv

%description common
The php-common package contains parts of PHP4 distribution which are in use
by other PHP4-related packages. Included here is the PHP Extension and Application
Repository (PEAR) which provides means for distributing PHP applications.

%prep
%setup -q -n %php_name
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%patch10 -p1

#mkdir doc
#bunzip2 -dc %SOURCE1 | tar -xf - -C doc

%__cp Zend/LICENSE Zend/ZEND_LICENSE
%__cp Zend/ChangeLog Zend/ZEND_ChangeLog 
%__mv README.SELF-CONTAINED-EXTENSIONS SELF-CONTAINED-EXTENSIONS
%__mkdir_p php-devel/extensions
%__mkdir_p php-devel/sapi
%__cp -dpR ext/* php-devel/extensions/
%__cp -dpR sapi/* php-devel/sapi/

# Patch Apache SAPI to make ini path defaulting to /etc/httpd/conf
%__libtoolize --automake -c -f
#For eventual compatibility with RedHat
#%{!?nokerberos:krb5libs="-L%prefix/kerberos/lib -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err"}

LIBS="$LIBS -lpthread $krb5libs"
export LIBS
./buildconf

%build
CFLAGS="%optflags -fPIC"; export CFLAGS
doconfig() {
autoconf
export oldstyleextdir=yes
%configure \
	$* \
	--disable-static \
	--disable-rpath \
	--disable-debug \
	--enable-pic \
	--enable-inline-optimization \
	--prefix=%prefix \
	--with-zlib=/usr \
	--disable-magic-quotes \
	--enable-safe-mode \
	--with-exec-dir=%_bindir \
	--with-regex=system \
	--enable-sysvsem \
	--enable-sysvshm \
	--with-mm \
	--with-dbase \
	--with-filepro \
	--enable-ftp \
	--enable-xml \
	--with-expat-dir=/usr \
	--enable-wddx \
	--with-gettext \
	--enable-yp \
	--enable-calendar \
	--enable-bcmath \
	--enable-ctype \
	--with-iconv \
	--enable-session \
	--with-pear=%_libdir/php
}

# PHP4's configuration system does not respect $prefix, we need to override
# all variables in order to install package in a safe manner
BUILD_ENV_VARS="top_srcdir=%_builddir/%php_name \
		bindir=%buildroot/usr/bin \
		sbindir=%buildroot/usr/sbin \
		includedir=%buildroot/usr/include \
		exec_prefix=%buildroot/usr \
		libdir=%buildroot/usr/lib \
		prefix=%buildroot/usr \
		localstatedir=%buildroot/var/lib \
		EXTENSION_DIR=/usr/lib/php/extensions \
		INSTALL_ROOT=%buildroot \
		PEAR_INSTALLDIR=%buildroot/usr/lib/php"

# Build Apache and CGI versions
doconfig \
	--with-config-file-path=%_sysconfdir \
	--without-mysql \
	--with-apxs=%_sbindir/apxs \
	--with-mod_charset \
	--with-layout=gnu

%make $BUILD_ENV_VARS

%install
BUILD_ENV_VARS="top_srcdir=%_builddir/%php_name \
		bindir=/usr/bin \
		sbindir=/usr/sbin \
		includedir=/usr/include \
		exec_prefix=/usr \
		libdir=/usr/lib \
		prefix=/usr \
		INSTALL_ROOT=%buildroot \
		EXTENSION_DIR=/usr/lib/php/extensions \
		localstatedir=/var/lib"
##		PEAR_INSTALLDIR=/usr/lib/php"

# Install main stuff and Apache module
%__mkdir_p %buildroot%_bindir
%__mkdir_p %buildroot%_libdir/apache
%makeinstall $BUILD_ENV_VARS \
	    "INSTALL_IT=install -m 0755 .libs/libphp4.so %buildroot%_libdir/apache/" \
	    "INSTALL_CLI=install -m 0755 sapi/cli/.libs/php %buildroot%_bindir/"

# All things already installed, install differences only
%__mkdir_p %buildroot%phpdir/extensions
%__mkdir_p %buildroot%apachebase/conf
%__mkdir_p %buildroot%_sysconfdir
%__mkdir_p %buildroot%apachebase/conf/addon-modules
%__mkdir_p %buildroot%apacheroot/icons
%__mkdir_p %buildroot%_bindir
##install -m 644 php.ini-recommended %buildroot%_sysconfdir/httpd/conf/php.ini
##install -m 644 php.ini-recommended %buildroot%_sysconfdir/php.ini
install -m 644 php.ini-dist %buildroot%_sysconfdir/httpd/conf/php.ini
install -m 644 php.ini-dist %buildroot%_sysconfdir/php.ini
install -m 644 *.gif %buildroot%apacheroot/icons
install -m 644 %SOURCE1 %buildroot%apachebase/conf/addon-modules/mod_php4.conf
%__mkdir_p %buildroot%prefix/src/php-devel/extensions
%__mkdir_p %buildroot%prefix/src/php-devel/sapi
cp -dpR php-devel/extensions/* %buildroot%prefix/src/php-devel/extensions
cp -dpR php-devel/sapi/* %buildroot%prefix/src/php-devel/sapi

mkdir -p %buildroot%_sysconfdir/rpm/macros.d
cp %SOURCE2 %buildroot%_sysconfdir/rpm/macros.d/php

# Replace PHP's binaries by our customized versions
# Do not strip them, let RPM do this.
# #install -m 755 .libs/php %buildroot%_bindir/php

%__chmod 755 %buildroot%_bindir/*
pushd scripts/apache
find . -type f | xargs chmod 644
popd

%post -n mod_php
if [ $1 = "1" ]; then
  echo "Include conf/addon-modules/mod_php4.conf" >> %apachebase/conf/httpd.conf
fi
[ -f %_sbindir/apachectl ] && %_sbindir/apachectl update

%preun -n mod_php
if [ `uname` = "Linux" ]; then perl="%_bindir/perl"; fi
if [ `uname` = "SunOS" ]; then perl="%prefix/local/bin/perl"; fi
if [ $1 = "0" ]; then
  $perl -pi -e "s|Include conf/addon-modules/mod_php4.conf\n||g;" \
	%apachebase/conf/httpd.conf
fi

%postun -n mod_php
[ -x %_sbindir/apachectl ] && %_sbindir/apachectl update

%post common -p /sbin/ldconfig

%postun common -p /sbin/ldconfig

%files -n mod_php
%_libdir/apache/libphp4.so
%config(noreplace) %apachebase/conf/addon-modules/mod_php4.conf
%config(noreplace) %_sysconfdir/httpd/conf/php.ini
%doc scripts/apache/*
%doc LICENSE

%files
%doc CODING_STANDARDS CREDITS INSTALL LICENSE
%doc NEWS README.* Zend/ZEND_* TODO php.ini-* EXTENSIONS
%_bindir/php
%config(noreplace) %_sysconfdir/php.ini

%files common
%_bindir/pear
%_libdir/libphp4common.so
%dir %phpdir/[^b]*
%dir %phpdir/[^b]*/*
%dir %phpdir/[^b]*/*/*
%dir %phpdir/[^b]*/*/*/*
%dir %phpdir/[^b]*/*/*/*/*
%phpdir/.[a-z]*
%phpdir/*.php
%doc tests
%doc run-tests.php pear/README pear/package.dtd pear/CODING_STANDARDS

%files devel
%dir %prefix/src/php-devel
%dir %prefix/src/php-devel/extensions
%dir %prefix/src/php-devel/sapi
%dir %_includedir/php
%_includedir/php/*
%_bindir/php-config
%_bindir/phpextdist
%_bindir/phpize
%prefix/src/php-devel/extensions/*
%prefix/src/php-devel/sapi/*
%phpdir/build/*
%dir %phpdir/build
%_libdir/libphp4common.la
%_sysconfdir/rpm/macros.d/php
%doc SELF-CONTAINED-EXTENSIONS

%changelog
* Wed Jul 14 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt1.cvs20030207
- Security patch #10 added.

* Mon Feb 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt0.cvs20030207
- PHP 4.3.0-dev CVS-20030207
- Bugfixes

* Mon Nov 04 2002 Alexey Gladkov <legion@altlinux.ru> 1:4.2.3-alt4.2
- Sendmail detection removed

* Tue Oct 29 2002 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 1:4.2.3-alt4.1
- updated BuildPreReq

* Sat Oct 26 2002 Alexey Gladkov <legion@altlinux.ru> 1:4.2.3-alt4
- PHP 4.2.3
- build with gcc 3.2
- SPEC file small modification

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt2
- Added:
    + Security audit patch from phpaudit.42-networks.com, 
      fixes multiple (theoretical) buffer overflows
    + additional patches for phpaudit (me)
- Updated:
    + Version number to reflect ALT changes
    + mod_php4.conf (AddHandler)

* Wed Feb 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt1
- 4.1.2
- Changed:
    + core is shared between SAPI modules (libphp4common.la)
    + documentation moved to php-manual external package to
      ease updates and multi-target builds (html, PDF, RTF)
    + files distribution across packages slightly modified to
      refine dependencies
    + modified post install scripts to follow documentation move


* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt1
- PHP 4.0.6
- Bugfixes
- Rebuild against DB 3.3

* Tue Jun 05 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.3RC2
- Release Candidate 2 for PHP 4.0.6
- Curl extension rolled back to RC1 due postponed autoconf 2.50 integration
- Blowfish crypto support fixed

* Mon May 28 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.2RC1
- Fixed build environment in curl, imap, informix, ming, mysql,
  xslt, and other extensions.

* Tue May 22 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.1RC1
- major mod_php4 fixes
- GD fixed (see NEWS / ChangeLog for more)
- HAVE_CONFIG_H define fixed (suitable for SCE compiling)

* Fri May 11 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.RC1
- Release Candidate 1 for PHP 4.0.6

* Tue May 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-alt1
- Release of PHP 4.0.5

* Tue Apr 05 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC6-alt1
- 6th release candidate for 4.0.5
- Fixed:
    + point to directory itself in PEAR to be graceful at uninstall phase

* Sun Mar 18 2001 Rider <rider@altlinux.ru> 4.0.5.RC1-ipl7mdk
- added patch from current PHP cvs. Fixed:
    Recode delayed loading in a much simpler way (switched back to php_ini.c 1.49)
    fixed a (C++) warning about implicit conversion from void*
    Fix the output buffering bug Andre found

* Fri Mar 16 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl6mdk
- Dynamic loader bug finally fixed
- Automatic configuration for apache version-release scheme

* Fri Mar 16 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl5mdk
- Fixed bug in Zend language parser

* Wed Mar 14 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl4mdk
- Various fixes in mysql and midgard modules from CVS applied

* Wed Mar 14 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl3mdk
- Fixed:
    + mod_php4.c tends to be crashed with incorrect php.ini entries
    + mod_php4 built without libphp_common.so to solve problems
      with unresolved symbols from foreign libraries like zlib.
      This is temporary wasteful step but it works.

* Tue Mar 13 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl2mdk
- PCRE module fixed
- Using PHP_4_0_5 branch from CVS

* Sun Mar 11 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl1mdk
- Release candidate 1 for PHP 4.0.5

* Sat Mar 10 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.200103091308mdk
- Ctype and Wddx modules are compiled in
- SPEC file cleaned up
- Build process for CGI and Apache version unified:
    + CGI and Apache modules are building simultaneusly
    + Configuration path for Apache module compiled in as /etc/httpd/conf/php.ini
    + Configuration path for CGI executable set to /etc/php.ini
    + Second live granted to the common library libphp_common.so
- Updated:
    + tests directory added as documentation to php-common
    + PEAR documentation and Experimental modules packaged as docs for php-common

* Fri Mar 09 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.200103082345mdk
- Rebuild with --enable-versioning

* Thu Mar 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.200103072345mdk
- Spec file rewritten, shared modules extracted to their own nosrc.rpms for
  better manageability
- Get rid of shared library to be consistent in flags for external build
- PEAR extracted to its own package 'php-common'

* Fri Feb 25 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.200102241145mdk
- Prepared for PHP 4.0.5 RC1
- Build phase rewritten to allow build dynamic modules using internal PHP4 facilities
- Set of dynamically built modules extended

* Fri Feb 09 2001 Alexander Bokovoy <ab@avilink.net> 4.0.4pl1-ipl7mdk
- Circular obsoletes fixed
- Magic quotes disabled by default

* Fri Feb 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.4pl1-ipl6mdk
- Rebuild against new RA

* Fri Feb 02 2001 Alexander Bokovoy <ab@avilink.net> 4.0.4pl1-ipl5mdk
- Eliminate beings like AESCtl while apachectl in our environment exactly
  the same thing

* Fri Feb 02 2001 Alexander Bokovoy <ab@avilink.net> 4.0.4pl1-ipl4mdk
- rebuild against final MySQL 3.23.32 with DB 3.2.9
- rebuild against Apache 1.3.17rusPL.30

* Mon Jan 22 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.4pl1-3mdk
- fix upgrade scripts

* Sun Jan 21 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.4pl1-2mdk
- rebuild against new MySQL for php-mysql

* Thu Jan 18 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.4pl1-1mdk
- 4.0.4pl1; security fixes for PHP directive problems

* Thu Dec 21 2000 Vincent Danen <vdanen@mandrakesoft.com> 4.0.4-1mdk
- 4.0.4

* Tue Dec 12 2000 Vincent Saugey <vince@mandrakesoft.com> 4.0.3pl1-3mdk
- declare top_srcdir at build step

* Sat Nov 11 2000 Daouda Lo <daouda@mandrakesoft.com> 4.0.3pl1-2mdk
- correct php-pgsql preuninstall typo (thanx Florent Guillaume)

* Sun Oct 22 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.3pl1-1mdk
- Bugfix + Security release

* Wed Sep 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-4mdk
- Fixed requires
- Rebuilt for new Apache
- Removed security patch SRADV00001 because it was causing segfaults with
  POST and multipart/form-data
- Removed CVS junk files in php-manual

* Fri Sep  8 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-3mdk
- Added security patch from Vincent Danen for (SRADV00001) Arbitrary file
  disclosure through PHP file upload
- Patched aclocal.m4 and acinclude.m4... Looks like every release they
  break something!
- imap was also broken. Added -lpam to the flags.
- compiled php with -lpthread to fix damn segfaults
- new MySQL release: compile with lmysqlclient_r
- removed conflict with midgard (i heard that both can coexist now)
- mysql: Tested phpMyAdmin - success! Tested also standalone with
  code from: php-manual/function.mysql-pconnect.html
- gd: Tested generation of png graphics with truetype, both in standalone
  and apache module
- pgsql: tested with standalone binary and the example code contained in
  php-manual/ref.pgsql.html. After a "createuser apache" in postgres, also
  tested successfully the apache mode
- imap: tested imap_open and imap_close on port 110 with standalone
  and in apache module
- ldap: tested functions in php-manual/function.ldap-add.html
  with standalone and apache module
- split dba_gdbm_db2 and readline from the main package. The first, because we
  might support db3 eventually, and the lase because it required 3
  additional libraries, and was only for the standalone version.
- tested dba_gdbm_db2 with standalone and apache module with sample code from
  php-manual/ref.dba.html
- tested readline with standalone (it is interactive so it won't work with
  apache) with code from php-manual/ref.readline.html
- we now use a libphp4_shared: this saves space and permits to use
  any module with any server API
- put the SAPI files into the php-devel package so we can compile eventually
  thttpd, roxen, or the servlet API
- put php_standalone into the main php package to be able to use the new
  PEAR interface (like CPAN, but for PHP4)
- renamed all modules. They are now called php-something instead of
  mod_php-something. The reason is they can be used with either php-thttpd,
  php-standalone, php-servlet or under apache (where this module is still
  called mod_php, to be consistent with mod_perl, mod_jserv, etc..).

* Fri Sep  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-2mdk
- Heavy use of perl s///g to make it install at the right place

* Thu Aug 31 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-1mdk
- shiny new 4.0.2!!
- removed db3 support: it crashes the configure script, and besides, it's
  not in the distro (only in contribs). We use GDBM and DB2.

* Thu Aug 24 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-6mdk
- created extensions package
- fixed mysql support

* Wed Aug  9 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-5mdk
- link mysql.so with libmysqlclient.so

* Wed Aug  9 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-4mdk
- Compile with latest MySQL
- Changed paths for FHS
- Macroize
- Fixed the BuildRequires (please, don't auto-regenerate)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1pl2-3mdk
- automatically added BuildRequires

* Fri Jul 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-2mdk
- added recode
- rebuilt for new EAPI
- use new AESctl script for %post
- Bonnne Fete la France! =)

* Sat Jul 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-1mdk
- update to 4.0.1pl2 (lots of bug fixes)
- moved php binary to php-standalone package
- fixed module compilation (specially the again badly broken pgsql)

* Tue Jun 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.0-1mdk
- update to PHP 4.0.0
- compile in two pass so that the extensions work both with PHP and mod_php
- include development package. This will enable us to compile dynamic
  extensions outside the main PHP4 package. This will come handy for
  the Oracle, Sybase, swf, etc. modules.
- spent long nights figuring how to make GD+ttf+t1lib with PHP4
- many fixes to remain RH-compatible a bit, but to keep our improvements,
  and have a working config (RH handles extensions poorly and makes php
  require postgres, ldap and imap even if the use won't use it).
- change most of the Requires to Prereqs, because the post edits config files
- change most of the postuns to preuns in case php gets removed before subpkgs
- make subpackages require php = %version
- add Obsoletes: phpfi, because their content handler names are the same
- add standalone binary
- change license from "GPL" to "PHP"

* Wed Jun 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.16-6mdk
- last version, PHP4 is on the way (hurray! ;-)
- added -llber to the ldap package
- split gd library out of the main package so it doesn't require
  XFree-libs!
- removed Dadou's hack for i486 compilation. When cross-compiling,
  first build Apache, then install apache and apache-devel before
  you compile other apache modules. It will then compile for the
  same architecture that apache has been compiled with.

* Thu May 18 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.16-5mdk
- Better fix for i486

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.16-4mdk
- Fix build for i486
- Fix some typos
- Fix build as user

* Mon May 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.16-3mdk
- added Prereq so it doesn't complain about missing php3.ini
- rebuild with EAPI 2.6.4 (bugfixes)
- include /usr/bin/*
- removed old manual from sources

* Thu Apr  6 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.16-2mdk
- rebuit with EAPI 2.6.3
- moved doc
- added -DHAVE_PQCMDTUPLES
- put ldap in separate module

* Thu Apr  6 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.16-1mdk
- 3.0.16 bugfix release

* Mon Apr  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.15-4mdk
- fixed group
- created MySQL as a separate module to fix dependancies

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.15-3mdk
- rebuild for EAPI 2.6.1
- updated manual

* Mon Feb 27 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.15-2mdk
- re-made gd+ttf patch. (again)

* Mon Feb 27 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.15-1mdk
- added many BuildRequires (this is a very complex package!)
- upgraded to 3.0.15 (security updates)
- updated mysql client to 3.22.32
- added patch suggested by jeff b <jeff@univrel.pr.uconn.edu> to
  decrease the TOKEN_BITS from 20 to 18. This allows large applications
  written in PHP to not bomb out due to running out of tokens.

* Tue Jan 18 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 3.0.14
- updated mysql client to 3.22.30
- added support for ftp

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Mon Jan 3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 3.0.13
- fixed png support
- fixed reversed ttf fonts
- fixed imap and pgsql for good, made apache restart when installing these
  packages
- updated mysql client to 3.22.29

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Oxygen and new mm-1.0.12 in Apache
- added ttf and t1lib, which are now part of Mandrake
- added gd support (png only, to enable gifs, you have to rebuild the rpm
  with the old library)

* Fri Sep 3 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for new mm-1.0.10 in Apache

* Thu Aug 26 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- added Conflicts line

* Fri Aug 19 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Solaris adaptations

* Wed Aug 18 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- modified post scripts

* Sat Jul 31 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 3.0.12

* Wed Jul 21 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 3.0.11
- added RPM_OPT_FLAGS
- added fr locale
- "mandrakized" package again

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.9
- fixed postgresql module and made separate package
- separated manual into separate documentation package

* Mon May 24 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.8, which fixes problems with glibc 2.1.
- took some ideas grom Gomez's RPM.

* Tue May 04 1999 Preston Brown <pbrown@redhat.com>
- hacked in imap support in an ugly way until imap gets an official
  shared library implementation

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- pick up php3.ini

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- build against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.7.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to php 3.0.6, built against apache 1.3.4

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for apache 1.3.3

* Thu Oct 08 1998 Preston Brown <pbrown@redhat.com>
- updated to 3.0.5, fixes nasty bugs in 3.0.4.

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.0.4 and recompiled for apache 1.3.2

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- improvements; builds with apache-devel package installed.

* Tue Sep 01 1998 Preston Brown <pbrown@redhat.com>
- Made initial cut for PHP3.

